import request from "@/utils/request";
//用户信息
export const GetDataList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/user/getUserList",
    method: "get",
    params: query,
  });
};
//用户信息——设置提现状态
export const setIsCash = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/user/setIsCash",
    method: "post",
    data: query,
  });
};

//用户信息——设置管理者权限
export const setIsManager = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/user/setIsManager",
    method: "post",
    data: query,
  });
};

//用户信息——设置禁用
export const setStatus = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/user/setStatus",
    method: "post",
    data: query,
  });
};

//用户信息——设置额外提成
export const setExtra = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/user/setExtra",
    method: "post",
    data: query,
  });
};

//更换推荐人
export const updBindRecommend = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/app/bind/updBindRecommend",
    method: "post",
    data: query,
  });
};

//查看团队
export const getTeamList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/team/getTeamList",
    method: "get",
    params: query,
  });
};
